<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */

// Get 
//$barcode_path = 'http://'.$_SERVER['HTTP_HOST'].$path.'downloadZPL.php?file_name='.urlencode($ref_ship.".txt").'&date_f='.$date_f.'&abspath='.urlencode($AbsPath);
$file_name_ori = Tools::getValue('file_name');
$file_name = (Tools::getIsset('file_name') && $file_name_ori != "") ? trim($file_name_ori) : "";
$date_f_ori = Tools::getValue('date_f');
$date_f = (Tools::getIsset('date_f') && $date_f_ori != "") ? trim($date_f_ori) : "";
$AbsPath_ori = Tools::getValue('abspath');
$AbsPath = (Tools::getIsset('abspath') && $AbsPath_ori != "") ? trim(urldecode($AbsPath_ori)) : "";

//First, see if the file exists
$file = $AbsPath."barcodes/".$date_f."/".$file_name;
if (!is_file($file)) { die("<b>404 File not found!</b>"); }

//Gather relevent info about file
$len = filesize($file);
$filename = basename($file);
$finfo = finfo_open(FILEINFO_MIME_TYPE);
$realExtention = finfo_file($finfo, realpath($file));
finfo_close($finfo);

//This will set the Content-Type to the appropriate setting for the file
/*
switch( $realExtention ){
    case 'text/x-php':
    case 'text/html':
    case 'application/x-empty':
    case 'text/plain': die('error');
}
*/

//Begin writing headers
header("Pragma: public");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Cache-Control: public"); 
header("Content-Description: File Transfer");
header("Content-Type: $realExtention");

//Force the download
header("Content-Disposition: attachment; filename=$filename;");
header("Content-Transfer-Encoding: binary");
header("Content-Length: ".$len);
@readfile($file);
exit;
?>