<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo	
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */

$sql = array();

$sql[_DB_PREFIX_.'savedships'] = "CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."savedships`(
                                  `id_ship` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
                                  `date` DATE NOT NULL, `numcollect` BIGINT(10) NOT NULL,
                                  `numship` VARCHAR(20) NOT NULL, `collectfrom` VARCHAR(50) NOT NULL,
                                  `postalcode` VARCHAR(10) NOT NULL,  `id_order` INT(11) NOT NULL )";

$sql[_DB_PREFIX_.'savedsenders'] = "CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."savedsenders`(
                                  `id_sender` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
                                  `name` VARCHAR(50) NOT NULL, `address` VARCHAR(90) NOT NULL,
                                  `postcode` VARCHAR(11) NOT NULL, `city` VARCHAR(20) NOT NULL,
                                  `contact` VARCHAR(30) NOT NULL, `phone` INT(14) NOT NULL, `from_hour` INT(2) NOT NULL,
                                  `from_minute` INT(2) NOT NULL, `to_hour` INT(2) NOT NULL,
                                  `to_minute` INT(2) NOT NULL )";

$sql[_DB_PREFIX_.'savedmodeships'] = "CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."savedmodeships`(
                                  `id_mode` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
                                  `name` VARCHAR(50) NOT NULL, `id_bc` VARCHAR(5) NOT NULL )";


$sql_update = array();

$sql_update[] = "ALTER TABLE `"._DB_PREFIX_."savedmodeships` ADD `id_carrier` VARCHAR(255) NULL"; //add id_carrier


$sql_insert = array();

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('PAQ 10', '61')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('PAQ 14', '62')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('PAQ 24', '63')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('PAQ 48', '64')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('PAQ 72', '65')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('Baleares', '66')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('Canarias Express', '67')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('Canarias Aéreo', '68')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('Canarias Marítimo', '69')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('Internacional Express', '91')";

$sql_insert[] = "INSERT INTO `"._DB_PREFIX_."savedmodeships` (`name`, `id_bc`) VALUES ('Internacional Estandard', '90')";
