<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */

class CEXTools
{

	public static function logToDisc($message,$file,$function,$line,$type = "all")
	{
		if(!is_dir(dirname(__FILE__)."/log/")) 
	    {
			$nd = mkdir(dirname(__FILE__)."/log", 0755, TRUE);
			if(!$nd)
			{
				die("nd es: ".$nd);
			}
		}

		$file = basename($file);

	    $logger = new FileLogger(0);
	    
	    if(mb_strtoupper($type) == "DEBUG")
	    {
	    	$logger->setFilename(dirname(__FILE__)."/log/debug.log");
			$logger->logDebug($file." -> ".$function."() L-".$line." :".$message);	
	    }
	    else if(mb_strtoupper($type) == "INFO")
	    {
	    	$logger->setFilename(dirname(__FILE__)."/log/info.log");
			$logger->logInfo($file." -> ".$function."() L-".$line." :".$message);	
	    }
	    else if(mb_strtoupper($type) == "WARN")
	    {
	    	$logger->setFilename(dirname(__FILE__)."/log/warn.log");
			$logger->logWarning($file." -> ".$function."() L-".$line." :".$message);	
	    }
	    else if(mb_strtoupper($type) == "ERROR")
	    {
	    	$logger->setFilename(dirname(__FILE__)."/log/error.log");
			$logger->logError($file." -> ".$function."() L-".$line." :".$message);	
	    }
	    else if(mb_strtoupper($type) == "ALL")
	    {
	    	$logger->setFilename(dirname(__FILE__)."/log/all.log");
			$logger->log($file." -> ".$function."() L-".$line." :".$message,1);	
	    }
	    
	}

}