/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo	
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */

/**
 * Scripts delivery Office
 * Validaciondes de Codigo postal y telefonos para el form de saleforce 
 */
$(document).ready(function(){
	
	var respuesta = $('#resp').val();
	
	if(respuesta){
		$('#nuevos-clientes-label').html("<h3>Su información ha sido enviada correctamente, en breve nos pondremos en contacto con usted.</h3>");
		return true;
	}
	
	
	
	$('#btn_alta').click(function(){
		$('#form_alta_cliente').removeClass("ocultar_form").addClass("mostar_form");
		$('#nuevos-clientes-label').remove();
	});
	
	$('#btn_selesforce').click(function(){
		var response_cod_pos ="";
		var nf        = $('#phone').val();
		var first_name = $('#first_name').val();
		var last_name = $('#last_name').val();
		var email     = $('#email').val();
		
		//tf  = fijo_valido(nf); 
		fn  = string_clear(first_name,'first_name');
		ln  = string_clear(last_name,'last_name');
		tfm = telefono_valido(nf);
		em  = validarEmail(email);
		//alert("viene el ajax: ");
	
		if(fn && ln && tfm && em)
			return true;
		else
			return false;
			
	});
});	

/*****************************/
/*       Teléfono fijo       */
/*****************************/
 
function fijo_valido(nf) {
	var RegExPattern = /^(8|9)[0-9]{8}$/;
	var errorMessage = 'Teléfono incorrecto.';
	if (nf.match(RegExPattern) && (nf !='')) {
	        return true;
	    } else {
	        return false;
	    }
}
 
/******************************/
/*       Teléfono móvil       */
/******************************/
 
function movil_valido(mo) {
	var RegExPattern = /^(6|7)[0-9]{8}$/;
	if (mo.match(RegExPattern) && (mo !='')) {
        return true;
    } else {
        return false;
    }
}
 
/*************************************/
/*       Teléfono fijo o móvil       */
/*************************************/
 
function telefono_valido(nf) {
    
	if(fijo_valido(nf) || movil_valido(nf)){
		 $('#phone').css("color", "black");
		 return true;
	}else{
		var errorMessage = 'Teléfono incorrecto.';
		alert(errorMessage);
        $('#phone').css("color", "red").focus();
		return false;
	}
	
	return (fijo_valido(nf) || movil_valido(nf));
}

function cp_valido(cp) {
    var RegExPattern = /^(0[1-9]|[1-4][0-9]|5[0-2])[0-9]{3}$/;
    var errorMessage = 'Código Postal Incorrecto.';
    if ((cp.match(RegExPattern)) && (cp !='')) {
    	$('#zip').css("color", "black");
        return true;
    } else {
        alert(errorMessage);
        $('#zip').css("color", "red");
        $('#zip').focus();        
        return false;
    } 
}  

  function string_clear(cad,input_name){
	  var string     = '';
	  string         = cad;
	  var n          = string.length;
	  var input      = '';
	  var campo_name = '';
	  input     = '#'+input_name;
	 
	  if(input_name == 'first_name'){
		  campo_name = 'Nombre';
	  }else{
		  campo_name = 'Apellidos';
	  }
	
	  var errorMessage = 'El  campo "'+campo_name+'", es obligatorio (minimo 3 caracteres).';
		  
	  if (string !== '' && n > '3') {
	      console.log("Valid");
	      $(input).css("color", "black");
	      return true;
	  } else {
		  alert(errorMessage);
		  console.log("inValid");
		  $(input).css("color", "red").focus();
		  return false;
	  }
	
  }  

function validarEmail(email) {
	    expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	    var errorMessage = 'El  campo "Email" es obligatorio.';
	    var errorMessage1 = 'La dirección de "Email" es incorrecta.';
	    if ( !expr.test(email)){
	        alert(errorMessage1);
	        $("#email").css("color", "red").focus();
			return false;
	    }else{
	    	  $("#email").css("color", "black");
			  return true;
	    }    
}
  
  