<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 *  
 */

include(dirname(__FILE__).'/../../config/config.inc.php'); 
error_reporting(E_ERROR);
header('Access-Control-Allow-Origin: *');

$id_cart       = Tools::getValue('id_cart');           //$_POST['id_cart'];
$checkbuscador = Tools::getValue('check_buscadorOfi'); //$_POST['check_buscadorOfi'];
$datos_oficina = _selectDataOfficeDeliveryCorreo($id_cart);

if($datos_oficina){
	$result = _deleteDataOfficeDeliveryCorreo($id_cart);
	return $result;
}else 
	return false;

/**
 * Valida que existe un registron con el id_cart en la entidad de la base de datos
 * @param int id_cart
 * @return boolean
 *
 **/
function _selectDataOfficeDeliveryCorreo($id_cart){
	
	if($id_cart != ""){
		$sql="SELECT * FROM "._DB_PREFIX_."officedeliverycorreo WHERE id_cart='".$id_cart."'";
			if ($row = Db::getInstance()->getRow($sql))
   			return $row['id_cart'];
	}
	return false;
}

/**
 * Si el check es deseleccionado se elimina el registro de la base de datos
 * @param int id_cart
 * @return boolean
 * 
 **/
function _deleteDataOfficeDeliveryCorreo($id_cart){

	if($id_cart != ""){
		$sql="DELETE FROM "._DB_PREFIX_."officedeliverycorreo WHERE id_cart='".$id_cart."'";
		if ($row = Db::getInstance()->execute($sql))
			return "DELETE";
	}
	return false;
}
?>