<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 *  
 */

include(dirname(__FILE__).'/../../config/config.inc.php'); 
error_reporting(E_ERROR);
header('Access-Control-Allow-Origin: *');

$id_customer = Tools::getValue('id_customer');  //$_POST['id_customer'];
$id_cart     = Tools::getValue('id_cart');      //$_POST['id_cart'];
$id_carrier  = Tools::getValue('id_carrier');   //$_POST['id_carrier'];
$codOfi      = Tools::getValue('codOfi');   //$_POST['codOfi'];

$datos_oficina_select = Tools::getValue('datos_oficina_select');  //$_POST['datos_oficina_select'];
$datos_oficina = _insertDataOfficeDeliveryCorreo($id_customer, $id_cart, $id_carrier, $codOfi, $datos_oficina_select);

/**
 * Inserta los valores del cart en la tabla ps_officeDeliveryCorreos 
 *
 * @param int $id_customer , identificador de cliente
 * @param int $id_cart, identificador de la cookie del cart
 * @param int $id_carrier, identificador del transportista
 * @return boolean true/false
 */
function _insertDataOfficeDeliveryCorreo($id_customer, $id_cart, $id_carrier, $codOfi, $datos_oficina_select){

	if($id_customer != "" && $codOfi != "" && $datos_oficina_select != "" ){
	$table = _DB_PREFIX_.'officedeliverycorreo';
	
	$insertar = _selectDataOfficeDeliveryCorreo($id_cart);
	if($insertar)	
		$sql = "UPDATE ".$table." SET codigo_oficina ='".trim($datos_oficina_select)."' WHERE id_cart = '".$id_cart."' ";
	else 
		$sql = "INSERT INTO ".$table." (id_officeDeliveryCorreo, id_cart, id_carrier, id_customer, codigo_oficina) VALUES ('', '".$id_cart."', '".$id_carrier."', '".$id_customer."', '".trim($datos_oficina_select)."')";
	
	if(!$result=Db::getInstance()->Execute($sql)){
			return true;	
		}
		
	}
	return false;
	
}	

/**
 * Valida que existe un registron con el id_cart en la entidad de la base de datos
 * @param int id_cart
 * @return boolean
 *
 **/
function _selectDataOfficeDeliveryCorreo($id_cart){
	
	if($id_cart != ""){
		$sql="SELECT * FROM "._DB_PREFIX_."officedeliverycorreo WHERE id_cart='".$id_cart."'";
			if ($row = Db::getInstance()->getRow($sql))
   			return $row['id_cart'];
	}
	return false;
}

?>