<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */

include(dirname(__FILE__).'/../../config/config.inc.php'); 
include_once(_PS_ROOT_DIR_.'/init.php'); 
require_once('lib/tcpdf/tcpdf.php');
error_reporting(E_ERROR);

$file_names = Tools::getIsset('file_names') ? Tools::getValue('file_names') : 'NO_files';
$file_names = urldecode($file_names);
$file_names = str_replace("#","+",$file_names);

$per_page = 3;
$incH = 88;
$date_f = date('d-m-Y');

$pdf = new TCPDF(); //('L','mm',array(210,115)); //new PDF();
$pdf->SetAutoPageBreak(true, 0);
$pdf->SetPrintHeader(false);
$pdf->SetFooterMargin(0);
$pdf->SetPrintFooter(false);
$pdf->AddPage('L');
//$cb = $position - 1;//0; //counter barcodes in page
$last_file = false;
$files_arr = explode(',',$file_names);
$arrlength=count($files_arr);
//logo correos
$pdf->Image("views/img/logo.png" ,190,10,20,7,'PNG');
$pdf->SetFont('Helvetica','',18);
$pdf->SetX(50);
$pdf->Cell(180,8, "LISTA DE ENVIOS ".$date_f,0,1,'C');
//$pdf->SetWidths(array(50,32,28,45,60,60));
$pdf->SetFont('Helvetica','B',12);
$pdf->Cell(180,8,'',0,1,'L'); //blank space
//$pdf->Row(array(iconv("UTF-8", "ISO-8859-1","nÂº envÃ­o"), iconv("UTF-8", "ISO-8859-1","nÂº pedido"), "bultos", iconv("UTF-8", "ISO-8859-1","producto de envÃ­o"), "destinatario", iconv("UTF-8", "ISO-8859-1","direcciÃ³n de entrega")));

$tbl = '
<table border="1" cellpadding="2" cellspacing="2" align="center">
 <tr nobr="true" style="background-color:#666666;color:#fff;">
  <td>nº Envío</td>
  <td>nº Pedido</td>
  <td>Bultos</td>
  <td>Reembolso</td>
  <td>Nombre Dest.</td>
  <td>Teléfono Dest.</td>
  <td>Producto de envío</td>
  <td>Dirección de entrega</td>
 </tr>';

$pdf->SetFont('Helvetica','',13);
for($j=0; $j<$arrlength;$j++) {
		$file = "barcodes/".$date_f."/".$files_arr[$j].".ini";
		$ini_array = parse_ini_file($file);

		$idship = 0;
		$sql = 'SELECT * FROM '._DB_PREFIX_.'savedships WHERE numcollect = '.$ini_array['num_order'].' ORDER BY id_ship DESC LIMIT 1';
		if ($results = Db::getInstance()->ExecuteS($sql))
    		foreach ($results as $row) { $idship = $row["numship"]; }

        $tbl .= '<tr nobr="true">
         <td>'.$idship.'</td>
         <td>'.$ini_array['num_order'].'</td>
         <td>'.$ini_array['bultos'].'</td>
         <td>'.$ini_array['payback_val'].'</td>
         <td>'.$ini_array['contact_receiver'].'</td>
         <td>'.$ini_array['phone_receiver'].'</td>
         <td>'.$ini_array['mode_ship_name'].'</td>
         <td>'.$ini_array['address_receiver'].'</td>
        </tr>';
		//$pdf->Row(array($idship,$ini_array['num_order'],$ini_array['bultos'],iconv("UTF-8", "ISO-8859-1",$ini_array['mode_ship_name']),iconv("UTF-8", "ISO-8859-1",$ini_array['contact_receiver']),iconv("UTF-8", "ISO-8859-1",$ini_array['address_receiver'])));
}

$tbl .= '</table>';
$pdf->writeHTML($tbl, true, false, false, false, '');
$pdf->Output('lista_envios_'.$date_f.'.pdf', 'D');
?>