<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */

include(dirname(__FILE__).'/../../config/config.inc.php'); 
include_once(_PS_ROOT_DIR_.'/init.php'); 
require_once('lib/tcpdf/tcpdf.php');
error_reporting(E_ERROR);

$file_names = Tools::getIsset('file_names') ? Tools::getValue('file_names') : 'NO_files';
$file_names = urldecode($file_names);
$file_names = str_replace("#","+",$file_names);
$fecha_resumen = Tools::getValue('fecha_resumen');
$per_page = 3;
$incH = 88;
$date_f = date('d-m-Y');

$pdf = new TCPDF(); //('L','mm',array(210,115)); //new PDF();
$pdf->SetAutoPageBreak(true, 0);
$pdf->SetPrintHeader(false);
$pdf->SetFooterMargin(0);
$pdf->SetPrintFooter(false);
$pdf->AddPage('L');
//$cb = $position - 1;//0; //counter barcodes in page
$last_file = false;
$files_arr = explode(',',$file_names);
$arrlength=count($files_arr);
//logo correos
$pdf->Image("views/img/logo.png" ,190,10,20,7,'PNG');
$pdf->SetFont('Helvetica','',18);
$pdf->SetX(50);
$pdf->Cell(180,8, "LISTA DE ENVIOS ".$fecha_resumen,0,1,'C');
//$pdf->SetWidths(array(50,32,28,45,60,60));
$pdf->SetFont('Helvetica','B',12);
$pdf->Cell(180,8,'',0,1,'L'); //blank space
//$pdf->Row(array(iconv("UTF-8", "ISO-8859-1","nÂº envÃ­o"), iconv("UTF-8", "ISO-8859-1","nÂº pedido"), "bultos", iconv("UTF-8", "ISO-8859-1","producto de envÃ­o"), "destinatario", iconv("UTF-8", "ISO-8859-1","direcciÃ³n de entrega")));

$tbl = '
<table border="1" cellpadding="2" cellspacing="2" align="center">
 <tr nobr="true" style="background-color:#666666;color:#fff;">
  <td WIDTH="17%">nº Envío</td>
  <td WIDTH="8%">nº Pedido</td>
  <td WIDTH="6%">Bultos</td>
  <td WIDTH="5%">Kilos</td>
  <td WIDTH="10%">Reembolso</td>
  <td WIDTH="9%">V.Asegurado</td>
  <td WIDTH="10%">Nombre Dest.</td>
  <td WIDTH="9%">Teléfono Dest.</td>
  <td WIDTH="10%">Producto de envío</td>
  <td WIDTH="16%">Dirección de entrega</td>
 </tr>';

$pdf->SetFont('Helvetica','',13);

$idship = 0;
$sql = 'SELECT * FROM '._DB_PREFIX_.'savedships WHERE date = "'.$fecha_resumen.'" and type="Envio" and status="Grabado" ORDER BY numcollect ASC';
//var_dump($sql);

if ($results = Db::getInstance()->ExecuteS($sql))
	$contador=0;
	foreach ($results as $row) { 
		$idship           = $row["numship"]; 
		$num_order        = $row["numcollect"];
		$bultos           = $row["package"];
		$kilos            = $row["kg"];
		$payback_val      = number_format($row["payback_val"],2);
		$insured_value    = number_format($row["insured_value"],2);
		$receiver_contact = $row["receiver_contact"];
		$receiver_phone   = $row["receiver_phone"];
		$mode_ship_name   = $row["mode_ship_name"];
		$receiver_address = $row["receiver_address"];
		
		$tbl .= '<tr nobr="true">
         <td>'.$idship.'</td>
         <td>'.$num_order.'</td>
         <td>'.$bultos.'</td>
         <td>'.$kilos.'</td>
         <td>'.$payback_val.' &euro;</td>
		 <td>'.$insured_value.' &euro;</td>	
         <td>'.$receiver_contact.'</td>
         <td>'.$receiver_phone.'</td>
         <td>'.$mode_ship_name.'</td>
         <td>'.$receiver_address.'</td>
        </tr>';
		$contador++;
		$bultos_totales       += $bultos;
		$kilos_totales        += $kilos;
		$payback_val_totales  += $payback_val;
		$insured_value_total += $insured_value;
		
	}
	//$tbl .= '<tr><td>Contador:'.$contador.'</td><td>Bultos totales:'.$bultos_totales.'</td><td>Reembolso total:'.$payback_val_totales.'</td><td>Kilos: '.$kilos_totales.'</td></tr>';
$tbl .= '</table>';
$tbl2 ='<hr></br>
		<table border="1" cellpadding="2" cellspacing="2" align="center">
 			<tr nobr="true" style="background-color:#666666;color:#fff;">
			<td colspan="5"><h1>Totales:</h1></td>
			</tr>
		<tr>
			<td>Expediciones</td><td>Bultos</td><td>Kilos</td><td>Reembolsos</td><td>V. Asegurado</td>
		</tr>
		<tr>
			<td>'.$contador.'</td><td>'.$bultos_totales.'</td><td>'.$kilos_totales.'</td><td>'.$payback_val_totales.' &euro;</td><td>'.$insured_value_total.' &euro;</td>
		</tr>
		</table>';

$pdf->writeHTML($tbl.$tbl2, true, false, false, false, '');
$pdf->Output('lista_envios_'.$fecha_resumen.'.pdf', 'D');
?>