/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo	
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */
// Variable global para gestion agrupado
var agrupado = true;

$(document).ready(function(){

$('#open').click(function(){
	$('#popup').fadeIn('slow');
});

$('#close').click(function(){
    $('#popup').fadeOut('slow');
});

$('#print').click(function(){
    $('#popup-list').fadeIn('slow');
});

$('#close-print').click(function(){
    $('#popup-list').fadeOut('slow');
});

$("#selCarrier").change(function() {
	
	var modalidad_env = $("#selCarrier option:selected").val()
	if(modalidad_env=="63" || modalidad_env=="66"){
		if ( $("#content_ent_ofi").length > 0 ) {
			$("#content_ent_ofi").removeClass("ocultar_form");
		    //alert("Han cambiado mi valor: "+modalidad_env);
			}
	}else{
		if ( $("#content_ent_ofi").length > 0 ) {
			$("#content_ent_ofi").addClass("ocultar_form");
		    $("#entrega_oficina").prop( "checked", false );
			}
		
	}   
});

$('#payback').change(function () {
	var price = $('#price_hide').val();
	if ($('#payback').is(':checked')) $('#payback_val').val(price);
	else $('#payback_val').val('');
});

$('#payback_val').change(function () {

	var val = parseFloat($('#payback_val').val());
	val = val.toFixed(2);
	$('#payback_val').val(val);
});

//Nuevo validación entrega el sabado
$('#deliver_sat').change(function () {
if($('#deliver_sat').is(':checked') ){
	var entrega_sabado = confirm("Para entrega los sabados, debe utilizar la modalidad de envío Paq 14 como servicio de envío. \n" +
			"La fecha de grabación debe ser el día anterior no festivo al día sábado de la entrega.");
	
	if(entrega_sabado){
		var metodo_envio = $('#selCarrier option:selected').val(); 
		if(metodo_envio !== 62){
			$('#selCarrier option[value="62"]').attr("selected",true);
			alert('Metodo de envío Paq 14 seleccionado. ');
			
			
			var entrega_ofician_check = $('#entrega_oficina').is(':checked');
			if(entrega_ofician_check)
			{
				//var vaciar_entrega_ofi = confirm('La entrega el sabado no puede tener seleccionada la Entrega en oficina de Correos, se desactivara la opción de entrega en oficina de Correos. \n' + '¿ Está usted deacuerdo ?');
				//if(vaciar_entrega_ofi){
					$('#entrega_oficina').prop('checked', false);
					$('#cod_oficina_div').text('');
					$('div#ocultar_form').removeClass('mostrar_form');
					$('div#ocultar_form').addClass('ocultar_form');
					$('#codigo_oficina_entrega').val('');
					$('#dir_oficina').val('');
					$('#nombre_oficina').val('');
					$('#codPostal_oficina').val('');
					$('#pob_oficina').val('');
				//}
			}
			
		}
		
		 
		
	}
	
	
	
	return false;
}
});

//Activar el check entrega Oficina.
$('#entrega_oficina').change(function () {
	var contrareembolso = $('#payback').is(':checked');
	if(contrareembolso){
		$('#entrega_oficina').prop( "checked", false );
		alert("Si el pedido tiene la opción contrareembolso, no puede utilizar el servicio de: ENTREGA EN OFICINA DE CORREOS.");
		
		return false;
	}
	if ($('#entrega_oficina').is(':checked')){ 
		$('#ocultar_form').removeClass( "ocultar_form" ).addClass( "mostrar_form" );
	}else $('#ocultar_form').removeClass( "mostrar_form" ).addClass( "ocultar_form" );
});


$( "#buscar_ofi" ).click(function() {
	
	var codPostal = $('#list_codigo_postal').val();
	var poblacion = $('#list_poblacion').val();
	
	if(codPostal != "" || poblacion != ""){
	$.post( $("#path").val()+"entrega_oficina.php" , { cod_postal: codPostal, poblacion: poblacion })
	.done(function( data ) {
		  //alert( "Data Loaded: " + data );
		  var obj = JSON.parse(data);
		  var codOfi = "";
		  var nomOfi = "";
		  var dirOfi = "";
		  var codPostal = "";
		  var pobOfi = "";
		  var datosCompletosEnt ="";
		  var row_ofi= "";
		  var codeError = "";
		  var table_ofi ="";
		  var table_ofi_vacia = "";
		  var select = "";
		  
		  if(obj.codError === 0){
		  for(var i in obj.oficinas) {
			  codOfi    = obj.oficinas[i].codigoOficina; 
			  nomOfi    = obj.oficinas[i].nombreOficina;  
			  dirOfi    = obj.oficinas[i].direccionOficina; 
			  codPostal = obj.oficinas[i].codigoPostalOficina; 
			  pobOfi    = obj.oficinas[i].poblacionOficina;
			  row_ofi +='<tr><td>'+codOfi+'</td><td>'+nomOfi+'</td><td>'+dirOfi+'</td><td>'+codPostal+'</td><td>'+pobOfi+'</td><td><span class="btn btn-success" id="select_'+codOfi+'" onclick="cerrar_modal(\''+codOfi+'\',\''+dirOfi+'\',\''+nomOfi+'\',\''+codPostal+'\',\''+pobOfi+'\')" >Seleccionar</span></td></tr>';
				 
			}
			  table_ofi ='<div class="table-responsive"><table class="table"><thead><tr><th>Código</th><th>Nombre</th><th>Dirección</th><th>Código Postal</th><th>Población</th><th>Seleccionar</th></tr></thead><tbody>';
			  table_ofi += row_ofi;
			  table_ofi += '</tbody></table></div></div>';
			  $('#listado_oficina_table').html("<span>"+table_ofi+"</span>");
		  }else{
			  table_ofi_vacia = '<div class="table-responsive"><table class="table"><thead><tr><th>Código</th><th>Nombre</th><th>Dirección</th><th>Código Postal</th><th>Población</th></tr></thead><tbody>';
			  table_ofi_vacia +='<tr><td COLSPAN=5>'+obj.mensajeError+'</td></tr>';
			  table_ofi_vacia += '</tbody></table></div></div>';
			  $('#listado_oficina_table').html("<span>"+table_ofi_vacia+"</span>");
		  }
		  
		});
	
	}//primer if
	  var table_ofi_empty = '<div class="table-responsive"><table class="table"><thead><tr><th>Código</th><th>Nombre</th><th>Dirección</th><th>Código Postal</th><th>Población</th></tr></thead><tbody>';
	  table_ofi_empty +='<tr><td COLSPAN=5>'+"Debe introducir algun código postal o población."+'</td></tr>';
	  table_ofi_empty += '</tbody></table></div></div>';
	  $('#listado_oficina_table').html("<span>"+table_ofi_empty+"</span>");

	});

//Para Implementar la Modal para ele listado de oficinas
$('#myModal').on('shown.bs.modal', function () {
	  $('#myInput').focus()
});

$('#selFromCustomer').change(function() {
	//alert('ok1');
  	$.ajax({
    	url: $("#path").val()+"ajax.php",
        type: "GET",
		data: { 
			idsender: $('#selFromCustomer').val(),
			mode:'loadSender' 
		},
        dataType: "json",
        success: function(data)
        {
			//alert('ok2');
			$('#name_sender').val(data.name_sender);
			$('#nif_sender').val(data.nif_sender);
			$('#address_sender').val(data.address_sender);
			$('#postcode_sender').val(data.postcode_sender);
			$('#city_sender').val(data.city_sender);
			$('#contact_sender').val(data.contact_sender);
			$('#phone_sender').val(data.phone_sender);
			//note??

			if(data.fromHH_sender.length == 1) $('#fromHH_sender').val('0'+data.fromHH_sender);  else $('#fromHH_sender').val(data.fromHH_sender);
			if(data.fromMM_sender.length == 1) $('#fromMM_sender').val('0'+data.fromMM_sender); else $('#fromMM_sender').val(data.fromMM_sender);
			if(data.toHH_sender.length == 1) $('#toHH_sender').val('0'+data.toHH_sender);  else $('#toHH_sender').val(data.toHH_sender);
			if(data.toMM_sender.length == 1) $('#toMM_sender').val('0'+data.toMM_sender);  else $('#toMM_sender').val(data.toMM_sender);

        }
    });
});

$('#selToSender').change(function() {
	//alert('ok1');
	$.ajax({
		url: $("#path").val()+"ajax.php",
		type: "GET",
		data: { 
			idreceiver: $('#selToSender').val(),
			mode:'loadReceiver' 
		},
		dataType: "json",
	    success: function(data)
		{
			//alert('ok2');
			$('#name_receiver').val(data.name_receiver);
			$('#nif_receiver').val(data.nif_receiver);
			$('#address_receiver').val(data.address_receiver);
			$('#postcode_receiver').val(data.postcode_receiver);
			$('#city_receiver').val(data.city_receiver);
			$('#contact_receiver').val(data.contact_receiver);
			$('#phone_receiver').val(data.phone_receiver);
			//note??
	    }
	});
});

$('#loadSender').change(function () {
	if ($('#loadSender').is(':checked')) {
		$('#selFromCustomer').change();
	} else {
		//clear all sender fields
		$('#name_sender').val("");
		$('#nif_sender').val("");
		$('#address_sender').val("");
		$('#postcode_sender').val("");
		$('#city_sender').val("");
		$('#contact_sender').val("");
		$('#phone_sender').val("");
		$('#note_collect').val("");
		$('#fromHH_sender').val("");
		$('#fromMM_sender').val("");
		$('#toHH_sender').val("");
		$('#toMM_sender').val("");
	}
});

//load/unload bultos last value saved
$('#lastbultos').change(function() {
	if($('#lastbultos').is(':checked')) {
		var b = $('#bultos').val();
		$('#bultos').val($('#lastbultos_hide').val());
		$('#lastbultos_hide').val(b);
	} else {
		var b = $('#bultos').val();
		$('#bultos').val($('#lastbultos_hide').val());
		$('#lastbultos_hide').val(b);
	}
});

//load/unload kilos last value saved
$('#lastkilos').change(function() {
	if($('#lastkilos').is(':checked')) {
		var b = $('#kilos').val();
		$('#kilos').val($('#lastkilos_hide').val());
		$('#lastkilos_hide').val(b);
	} else {
		var b = $('#kilos').val();
		$('#kilos').val($('#lastkilos_hide').val());
		$('#lastkilos_hide').val(b);
	}
});

//set position label input if selected pdf type changes in print form
$('#selPdfType').change(function () {
	var pdftype = $('#selPdfType').val();
	$('#position_label').val(1);
	if(pdftype == 1) {
		$('#position_label').attr('max', 3); //adhesiva
		$('#position_label').prop('disabled', false);
	}
	else if(pdftype == 2) {
		$('#position_label').attr('max', 1); //medio folio
		$('#position_label').prop('disabled', true);
	}
	else { //térmica - una por pagina
		$('#position_label').attr('max', 1); //térmica - una por pagina
		$('#position_label').prop('disabled', true);
	}
});

$('#selPdfTypeDefault').change(function () {
	var result = document.getElementById('MXPS_DEFAULTPDF');
	result.value = $('#selPdfTypeDefault').val();
});

$('#MXPS_ORDER_PROCESS_TYPE_SELECT').change(function () {
	var result = document.getElementById('MXPS_ORDER_PROCESS_TYPE');
	result.value = $('#MXPS_ORDER_PROCESS_TYPE_SELECT').val();
});


$('#selSenderDefault').change(function () {
	var result = document.getElementById('MXPS_DEFAULTSEND');
	result.value = $('#selSenderDefault').val();
});

$('#selPaybackDefault').change(function () {
	var result = document.getElementById('MXPS_DEFAULTPAYBACK');
	result.value = $('#selPaybackDefault').val();
});

//configuration enable/disable activar PESO PEDIDO
$('#enable_weigth').change(function() {
	if($('#enable_weigth').is(':checked')) {
		$('#MXPS_ENABLEWEIGHTORDER').val(1);
	} else {
		$('#MXPS_ENABLEWEIGHTORDER').val(0);
	}
});

//configuration enable/disable activar Entrega en Oficina Correo FRONT
$('#enable_officeDelivery').change(function() {
	if($('#enable_officeDelivery').is(':checked')) {
		$('#MXPS_ENABLEOFFICEDELIVERY').val(1);
	} else {
		$('#MXPS_ENABLEOFFICEDELIVERY').val(0);
	}
});


//configuration enable/disable mensaje con enlace de seguimiento de correos express
$('#enable_shippingtrack').change(function() {
	if($('#enable_shippingtrack').is(':checked')) {
		$('#MXPS_ENABLESHIPPINGTRACK').val(1);
	} else {
		$('#MXPS_ENABLESHIPPINGTRACK').val(0);
	}
});

//configuration enable/disable mensaje alerta entrega en oficina 
$('#check_enable_shippingtrack').change(function() {
	if($('#check_enable_shippingtrack').is(':checked')) {
		$('#MXPS_CHECK_ENABLESHIPPINGTRACK').val(1);
	} else {
		$('#MXPS_CHECK_ENABLESHIPPINGTRACK').val(0);
	}
});



//configuration enable/disable crons
$('#enable_sendcron').change(function() {
	if($('#enable_sendcron').is(':checked')) {
		$('#MXPS_ENABLESENDCRON').val(1);
	} else {
		$('#MXPS_ENABLESENDCRON').val(0);
	}
});

$('#enable_delivercron').change(function() {
	if($('#enable_delivercron').is(':checked')) {
		$('#MXPS_ENABLEDELIVERCRON').val(1);
	} else {
		$('#MXPS_ENABLEDELIVERCRON').val(0);
	}
});

$('#selSendCronS1').change(function () {
	var result = document.getElementById('MXPS_SENDCRONSTATE1');
	result.value = $('#selSendCronS1').val();
});

$('#selSendCronS2').change(function () {
	var result = document.getElementById('MXPS_SENDCRONSTATE2');
	result.value = $('#selSendCronS2').val();
});

$('#selDeliverCronS1').change(function () {
	var result = document.getElementById('MXPS_DELIVERCRONSTATE1');
	result.value = $('#selDeliverCronS1').val();
});

$('#selDeliverCronS2').change(function () {
	var result = document.getElementById('MXPS_DELIVERCRONSTATE2');
	result.value = $('#selDeliverCronS2').val();
});

$('#loadReceiver').change(function () {
	var ref_ori = $('#ref_ship_old').val();
	
    if ($('#loadReceiver').is(':checked')) {
    	var pais = $('#selISOCode option:selected').val();
    	//Solo es permitida la dev para España y Portugal
    	if(pais=="ES" || pais=='PT' ){
    		//Mensaje de Confirmacion
		    	var procesar_devolucion = confirm("Se va a generar una Recogida/Envío para tramitar la devolución.\n Pulse aceptar para cargar los datos de la Recogida.");
				if(!procesar_devolucion){
					$('#loadReceiver').attr('checked', false);
					return false;
				} 
						
				$('#ref_ship').val(ref_ori.concat("d"));
		    	$('#loadSender').attr('checked', false);
				$('#loadSender').attr('disabled', true);
				$('#selFromCustomer').attr('disabled', true);
				
				//save email sender to put it in receiver
				changeEmail = $('#email_sender').val();
		
				//copy receiver field values to sender fields
				$('#name_sender').val($('#name_receiver').val());
				$('#nif_sender').val($('#nif_receiver').val());
				$('#address_sender').val($('#address_receiver').val());
				$('#postcode_sender').val($('#postcode_receiver').val());
				$('#city_sender').val($('#city_receiver').val());
				$('#contact_sender').val($('#contact_receiver').val());
				$('#phone_sender').val($('#phone_receiver').val());
				$('#email_sender').val($('#email_receiver').val());
				$('#note_deliver').val($('#note_collect').val());
		
				//clear all receiver fields
				$('#name_receiver').val("");
				$('#nif_receiver').val("");
				$('#address_receiver').val("");
				$('#postcode_receiver').val("");
				$('#city_receiver').val("");
				$('#contact_receiver').val("");
				$('#phone_receiver').val("");
				$('#email_receiver').val("");
				$('#note_collect').val("");
		
				//clear sender hours
				$('#fromHH_sender').val("");
				$('#fromMM_sender').val("");
				$('#toHH_sender').val("");
				$('#toMM_sender').val("");
		
				$('#selToSender').change();
				$('#email_receiver').val(changeEmail);
		
				//disable and uncheck grabar recogida
				//$('#grabarRecogida').attr('checked', false);
				$('#grabarRecogida').attr('checked', true);
				//$('#grabarRecogida').attr('disabled', true);
    	}else{
    		alert("Devoluciones permitidas solamente para Portugal y España.");
    		$('#loadReceiver').attr('checked', false);
    		return false;
    	}
    } else {

		$('#loadSender').attr('disabled', false);
		$('#ref_ship').val("");
		$('#ref_ship').val(ref_ori);
		//save email receiver to put it in sender
		changeEmail = $('#email_receiver').val();

		//copy receiver field values to sender fields
		$('#name_receiver').val($('#name_sender').val());
		$('#nif_receiver').val($('#nif_sender').val());
		$('#address_receiver').val($('#address_sender').val());
		$('#postcode_receiver').val($('#postcode_sender').val());
		$('#city_receiver').val($('#city_sender').val());
		$('#contact_receiver').val($('#contact_sender').val());
		$('#phone_receiver').val($('#phone_sender').val());
		$('#email_receiver').val($('#email_sender').val());
		$('#note_collect').val($('#note_deliver').val());

		//clear all receiver fields
		$('#name_sender').val("");
		$('#nif_sender').val("");
		$('#address_sender').val("");
		$('#postcode_sender').val("");
		$('#city_sender').val("");
		$('#contact_sender').val("");
		$('#phone_sender').val("");
		$('#email_sender').val(changeEmail);
		$('#note_deliver').val("");

		//enable grabar recogida
		$('#grabarRecogida').attr('checked', false);
	}
});


$(document).ready(function  () {
	$('#checkAll').click(function(){
   		if($(this).is( ":checked" )) $('.chk').attr('checked','checked');
   		else $('.chk').attr('checked',false);
    });
});

$(".chk").change(function () {
    if ($(".chk:checked").length == $(".chk").length) {
    	$('#checkAll').attr('checked','checked');
    }else{
    	$('#checkAll').attr('checked',false);
    }
});

$('#previousDay').click(function () {
    $.ajax({
    	type: "get",
        url: $("#path").val()+"ajax.php",
        data: { 
        	mode:'previous',
			date: $('#date_f').text(),
			path:$("#path").val(),
			AbsPath:$("#AbsPath").val()
		},
        dataType: "json",
        success: function (data) {
            //alert(data.code);
			if (data.code == '-1')
            {
            	//alert(data.result);
				document.getElementById("error-span-2").innerHTML = data.result;
				document.getElementById("error-span-2").style.display = 'inline';
            }
            else
            {
				document.getElementById("error-span-2").style.display = 'none';
				//alert(typeof data.files);
				document.getElementById("date_f").innerHTML = data.date;
				var container = document.getElementById("iniList");
				var content = '<br />';
				//if(data.barcode_path != null) document.location.href = data.barcode_path;
				for (i=0;i<data.files.length;i++){
		  			//alert("passed array " + data.files[i]);
					content = content + '<span id="line_'+data.files[i]+'" ><input class="chk" type="checkbox" id="'+data.files[i]+'" name="' + data.files[i] + '" value="' + data.files[i] + '" class="iniShip" />Referencia envío: ' + data.files[i] + '</span><br />';
				}
				container.innerHTML = content;
            }
        }
    });
});

$('#nextDay').click(function () {
    $.ajax({
    	type: "get",
        url: $("#path").val()+"ajax.php",
        data: { 
        	mode:'next',
			date: $('#date_f').text(),
			path:$("#path").val(),
			AbsPath:$("#AbsPath").val()
		},
        dataType: "json",
        success: function (data) {
            
			if (data.code == '-1')
            {
            	
				document.getElementById("error-span-2").innerHTML = data.result;
				document.getElementById("error-span-2").style.display = 'block';
            }
            else
            {
				document.getElementById("error-span-2").style.display = 'none';
				
				document.getElementById("date_f").innerHTML = data.date;
				var container = document.getElementById("iniList");
				var content = '<br />';
				//if(data.barcode_path != null) document.location.href = data.barcode_path;
				for (i=0;i<data.files.length;i++){
		  			content = content + '<span id="line_'+data.files[i]+'" ><input class="chk" type="checkbox" id="'+data.files[i]+'" name="' + data.files[i] + '" value="' + data.files[i] + '" class="iniShip" />Referencia envío: ' + data.files[i] + '</span><br />';
				}
				container.innerHTML = content;
				//$('#close').click();
            }
        }
    });
});

var frm = $('#printform');
frm.submit(function () {
	var list = getValueUsingParentTag();
	
	if(list == null) {
		alert('Selecciona mínimo un envío de la lista');
		return false; 
	}

    $.ajax({
        type: frm.attr('method'),
        url: frm.attr('action'),
        data: { 
        	mode:'saveShip',
			codelist: list,
			date: $('#date_f').text(),
			path:$("#path").val(),
			AbsPath:$("#AbsPath").val(),
			pdfType:$("#selPdfType").val(),
			position:$("#position_label").val(),
			grouping_state:'send_from_labels'
			,grouping:agrupado,
			telephone:$("#telephone").val()
			//,group_others:respAlertEnviosGroup
  			//,id_ships_to_group:id_ships_to_group
		},
        dataType: "json",
        success: function (data) 
        {
        	manageResponse(data);
        }
    });
	return false;
});

var frm2 = $('#shipform');
frm2.submit(function () {
	//Nuevo
	if($('#entrega_oficina').is(':checked') && $("#codigo_oficina_entrega").val()==""){
		alert("Tiene seleccionado entrega en oficina, debe escoger una oficina del buscador.");
		return false;
	}
	
	//Nuevo
	if($('#entrega_oficina').is(':checked') && $("#codigo_oficina_entrega").val()!="" && $('#payback').is(':checked')){
		alert("Para poder utilizar el servicio de ENTREGA EN OFICINA DE CORREOS, no puede tener seleccionada la opción CONTRAREEMBOLSO.");
		return false;
	}
	
	//Validación del formulario Destinatario****************
	var nombre_dest   ='';
	var contacto_dest ='';
	var dir_dest      ='';
	var cod_dest      ='';
	var ciudad_dest   ='';
	var movil_dest    ='';
	var telf_dest     ='';
	var email_dest    ='';
	var Obs_entrega   ='';
	var Obs_recogida  ='';
	
	
	//Nombre destinatario
	nombre_dest   = $('#name_receiver').val();
	var ndl = nombre_dest.length;
	if(ndl > 40){
		alert("El NOMBRE DESTINATARIO supera los 40 caracteres, por favor modifique la información. Caracteres: "+ndl+".");
		$('#name_receiver').css('border-color','red');
		$('#name_receiver').focus();
		return false;
	}else{
		$('#name_receiver').css('border-color','');		
	}

	// Nombre persona contacto
	contacto_dest = $('#contact_receiver').val();
	var cdl = contacto_dest.length;
	if(cdl > 40){
		alert("El nombre de la PERSONA DE CONTACTO supera los 40 caracteres, por favor modifique la información. Caracteres: "+cdl+".");
		$('#contact_receiver').css('border-color','red');
		$('#contact_receiver').focus();
		return false;
	}else{
		$('#contact_receiver').css('border-color','');		
	}
	
	//Codigo Postal Dest
	cod_dest = $('#postcode_receiver').val();
	var codl = cod_dest.length;   
	//alert("El código Postal destinatario " + cod_dest + " supera los 30 caracteres, por favor modifique la información. Caracteres:"+cod_dest+"." );
	 if (codl > 30){
		   alert("El código Postal destinatario " + cod_dest + " supera los 30 caracteres, por favor modifique la información. Caracteres:"+cod_dest+"." );
			$('#postcode_receiver').css('border-color','red');
			$('#postcode_receiver').focus();
			return false;
		}else{
			$('#postcode_receiver').css('border-color','');		
		}
	 
	//Observaciones entrega 
	Obs_entrega = $("#note_deliver").val();
	var oel = Obs_entrega.length;
	if(oel > 80){
		alert("Las OBSERVACIONES ENTREGA superan los 80 caracteres, por favor modifique la información. Caracteres: "+oel+".");
		$('#note_deliver').css('border-color','red');
		$('#note_deliver').focus();
		return false;
	}else{
		$('#note_deliver').css('border-color','');		
	}
	
	//****************************************************
	
	
	
	
	//antiguo
	//alert($('#deliver_sat').is(':checked'));
	document.getElementById("error-span").style.display = 'none';
	document.getElementById("success-span").style.display = 'none';
	document.getElementById("btnsubmitt").innerHTML = '<img src="http://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/fancybox_loading.gif" /> Guardando...';
	//Validacion del ampersan en los campos del formulario de envío.
	var forms_fields = new Array("name_sender","contact_sender","address_sender","postcode_sender","city_sender","note_collect","name_receiver","contact_receiver","address_receiver","postcode_receiver","city_receiver","email_receiver","note_deliver" );
	for(i=0; i < forms_fields.length; ++i ){
		var result = validar_sring_amp(forms_fields[i]);
		if(result) return false;
	}
	
	
	
		
	
	console.log(frm2);
    $.ajax({
        type: frm2.attr('method'),
        url: frm2.attr('action'),
        data: { 
        	id_order:$('#id_order').val(),
        	idsender:$('#selFromCustomer').val(),
			sender:$('#name_sender').val(),
			contact_sender:$('#contact_sender').val(),
			address_sender:$('#address_sender').val(),
			postcode_sender:$('#postcode_sender').val(),
			city_sender:$('#city_sender').val(),
			phone_sender:$('#phone_sender').val(),
			email_sender:$('#email_sender').val(),
			note_collect:$('#note_collect').val(),
			date:$('#datepicker').val(),
			ref_ship:$('#ref_ship').val().replace(/\#/gi,"-").replace(/\,/gi,"-"), //ref_ship:$('#ref_ship').val().replace(/\|/gi,"-").replace(/\,/gi,"-"),
			num_ship:$('#num_ship').val(),
			receiver:$('#name_receiver').val(),
			contact_receiver:$('#contact_receiver').val(),
			address_receiver:$('#address_receiver').val(),
			postcode_receiver:$('#postcode_receiver').val(),
			city_receiver:$('#city_receiver').val(),
			phone_receiver:$('#phone_receiver').val(),
			telephone:$('#telephone').val(),
			email_receiver:$('#email_receiver').val(),
			postcode_receiver:$('#postcode_receiver').val(),
			mode:'saveShip',
			mode_ship:$("#selCarrier").val(),
			iso_code:$("#selISOCode").val(),
			payback:$('#payback').is(':checked'),
			payback_val:$("#payback_val").val(),
			insured_value:$("#insured_value").val(),
			bultos:$("#bultos").val(),
			kilos:$("#kilos").val(),
			path:$("#path").val(),
			mode_ship_name:$("#selCarrier").find(":selected").text(),
			note_deliver:$("#note_deliver").val(),
			devolution:$('#loadReceiver').is(':checked'),
			fromHH_sender:$("#fromHH_sender").val(),
			fromMM_sender:$("#fromMM_sender").val(),
			toHH_sender:$("#toHH_sender").val(),
			toMM_sender:$("#toMM_sender").val(),
			deliver_sat:$('#deliver_sat').is(':checked'),
			desc_ref_1:$('#desc_ref_1').val(),
			desc_ref_2:$('#desc_ref_2').val(),
			AbsPath:$("#AbsPath").val(),
			gbr:$("#grabarRecogida").is(':checked'),
  			mailLabel:$("#enviarEtiquetaMail").is(':checked'),
  			grouping:agrupado,
  			grouping_state:'check',
  			entrega_oficina:$('#entrega_oficina').is(':checked'),
  			codigo_oficina_entrega:$("#codigo_oficina_entrega").val(),
  			dir_oficina:$("#dir_oficina").val(),
  			nombre_oficina:$("#nombre_oficina").val(),
  			codPostal_oficina:$("#codPostal_oficina").val(),
  			pob_oficina:$("#pob_oficina").val()
  			
		},
        dataType: "json",
        success: function (data) {
        	manageResponse(data);
        }
    });
    return false;
});

var frm3 = $('#sendersform');
frm3.submit(function () {
	document.getElementById("error-span3").style.display = 'none';
    $.ajax({
        type: frm3.attr('method'),
        url: frm3.attr('action'),
        data: {
			sender:$('#name_sender').val(),
			contact_sender:$('#contact_sender').val(),
			address_sender:$('#address_sender').val(),
			postcode_sender:$('#postcode_sender').val(),
			city_sender:$('#city_sender').val(),
			phone_sender:$('#phone_sender').val(),
			mode:'saveSender',
			fromHH_sender:$("#fromHH_sender").val(),
			fromMM_sender:$("#fromMM_sender").val(),
			toHH_sender:$("#toHH_sender").val(),
			toMM_sender:$("#toMM_sender").val(),
			idEdit:$("#idEditSender").val()
		},
        dataType: "json",
        success: function (data) {
           $('#loading').fadeOut('fast');
			if (data.code == '-1')
            {
            	//alert(data.result);
				document.getElementById("error-span3").innerHTML = data.result + ' ';
				document.getElementById("error-span3").style.display = 'inline';
				document.getElementById("success-span3").innerHTML = "";
				document.getElementById("success-span3").style.display = 'none';
            }
            else
            {
				document.getElementById("error-span3").style.display = 'none';
				document.getElementById("success-span3").innerHTML = data.result + ' ';
				document.getElementById("success-span3").style.display = 'inline';
				//alert(data.result);
				document.getElementById("error-span3").value = "";
				document.getElementById("name_sender").value = "";
				document.getElementById("contact_sender").value = "";
				document.getElementById("address_sender").value = "";
				document.getElementById("postcode_sender").value = "";
				document.getElementById("city_sender").value = "";
				document.getElementById("phone_sender").value = "";
				document.getElementById("fromHH_sender").value = 0;
				document.getElementById("fromMM_sender").value = 0;
				document.getElementById("toHH_sender").value = 0;
				document.getElementById("toMM_sender").value = 0;
            	alert(data.result);
				document.location.reload();
			}
        }
    });

    return false;
});

var frm4 = $('#carriersform');
frm4.submit(function () {
    var summary = [];
    var json = {};
    frm4.each(function () {
    	summary.push($(this).find(':input'));
    });
    for (var i = 0; i < summary[0].length; i++) {
    	if (summary[0][i].id != "") json[summary[0][i].id] = $('#'+summary[0][i].id).val();
    }
    json['mode'] = 'saveMapping';

    $.ajax({
        type: frm4.attr('method'),
        url: frm4.attr('action'),
        data: json,
        dataType: "json",
        success: function (data) {
			$('#loading').fadeOut('fast');
			if (data.code == '-1')
            {
            	alert(data.result);
            }
            else
            {
             	alert(data.result);
             	document.location.reload();
			}
        }
    });
    return false;
});

var frm5 = $('#printresume');
frm5.submit(function () {
	/*$('#checkAll').change();
	var list = getValueUsingParentTag();*/
	//alert(list);
	/*if(list == null) {
		alert('Selecciona mínimo un envío de la lista');
		return false; //alert('es nul');
	}*/

    $.ajax({
        type: frm.attr('method'),
        url: frm.attr('action'),
        data: { 
        	mode:'printresume',
			codelist: $("#list").val(),
			path:$("#path").val(),
			fecha_resumen:$("#date_f").text()
		},
        dataType: "json",
        success: function (data) {
            if (data.code == '-1')
            {
				alert(data.result);
            }
            else
            {
				if(data.resume_path != null) document.location.href = data.resume_path;
            }
        }
    });
    return false;
});

$(function() {
	$("#datepicker").datepicker({prevText:"",
	nextText:"", minDate : 0,
    maxDate : '+30D',
	dateFormat:"dd-mm-yy"});
	$("#datepicker").datepicker("setDate", new Date);
});
    
//*************** DM ********************Validar Kilos por defecto al guardar
$('#module_form_submit_btn').click(function(){
var kilos_def = $('#MXPS_DEFAULTKG').val();
if (!kilos_def.match(/^\d{0,5}(\.[0-9]{1,2})?$/)) {
   	alert("Kilos por defecto: Formato Incorrecto. Formato v\u00E1lido 9999.99");
   	$( '#MXPS_DEFAULTKG' ).css( "color", "red" ); // adding error class
   	$('#MXPS_DEFAULTKG').val();
   	return false;
} 
});
    
$(function () {
$('#kilos').on('keyup', function (e) {
    if (!this.value.match(/^\d{0,5}(\.[0-9]{1,2})?$/)) {
    	alert("Kilos: Formato Incorrecto. Formato v\u00E1lido 9999.99");
        $( this ).css( "color", "red" ); // adding error class
    	$(this).val();
    } else {
        $( this ).css( "color", "black" ); // remove error class
        }
    });
});
//Validar Kilos por defecto
$(function () {
$('#MXPS_DEFAULTKG').on('keyup', function (e) {
    if (!this.value.match(/^\d{0,5}(\.[0-9]{1,2})?$/)) {
    	alert("Kilos por defecto: Formato Incorrecto. Formato v\u00E1lido 9999.99");
        $( this ).css( "color", "red" ); // adding error class
    	$(this).val();
    } else {
        $( this ).css( "color", "black" ); // remove error class
        }
    });
});
	
});//Fin primer document.ready

function manageResponse(data)
{
	document.getElementById("btnsubmitt").innerHTML = 'Guardar envío';
	//*** DM ***
	//Validar kilos
	var kilos = "";
	kilos = $('#kilos').val();
	var kilos_correct = kilos.match(/^\d{0,5}(\.[0-9]{1,2})?$/);
	if(kilos_correct=== null){
		alert("Antes de grabar el Env\u00EDo/Recogida debe corregir el valor.\nKilos: Formato Incorrecto. Formato v\u00E1lido 9999.99");
		$('#kilos').val();
		$('#kilos').css( "color", "red" ); 
		return false;
	}

	// Cuando hay algun error
	if (data.code == '-1')
	{
    	//data.result
    	document.getElementById("error-span").style.display = 'none';
		document.getElementById("success-span").style.display = 'none';

    	if (data.data_error != "")
    	{
    		document.getElementById("error-span").innerHTML = data.data_error;
			document.getElementById("error-span").style.display = 'inline';
		}
		if (data.data_success != "")
		{
			document.getElementById("success-span").innerHTML = data.data_success;
			document.getElementById("success-span").style.display = 'inline';
			alert("Debe imprimir la/s etiqueta/s para procesar las grabaciones.");
		}
		if (data.data_alert != "")
		{
			alert(data.data_alert);
		}
	}
	else if (data.code == '0')
	{
		//alert(data.code + data.date);
		document.getElementById("error-span").style.display = 'none';
		document.getElementById("success-span").style.display = 'none';

		if (data.data_error != "")
    	{
    		document.getElementById("error-span").innerHTML = data.data_error;
			document.getElementById("error-span").style.display = 'inline';
		}
		if (data.data_success != "")
		{
			document.getElementById("success-span").innerHTML = data.data_success;
			$(".shipping_number_show").text(data.numship);
			document.getElementById("success-span").style.display = 'inline';
			alert("Debe imprimir la/s etiqueta/s para procesar las grabaciones. El envío/recogida se ha guardado con éxito.");
		}
		if (data.data_alert != "")
		{
			alert(data.data_alert);
		}

		if (data.CEXStored == true)
		{

			var parsedJsonHistoricoEnvios = $.parseJSON(data.jsonHistoricoEnvios);
			var table = document.getElementById("savedShips");

			for(var refShip in parsedJsonHistoricoEnvios)
			{

				//var rowCount = table.rows.length;
				var rows = table.getElementsByTagName("tbody")[0].getElementsByTagName("tr").length;
				//alert(rows);
				if (rows > 1) { table.deleteRow(-1);table.deleteRow(-1); }

				var row = table.insertRow(1);
				row.style = "font-size:12px; color:#333";
				row.insertCell(0).innerHTML = "<a href=\"https://www.chronoexpres.com/chronoExtraNET/env/verEnvio.seam?s="+parsedJsonHistoricoEnvios[refShip].numship+"&cp="+parsedJsonHistoricoEnvios[refShip].postcode+"\" target=\"_blank\">CorreosExpress</a>";
				row.insertCell(1).innerHTML = parsedJsonHistoricoEnvios[refShip].date;
				row.insertCell(2).innerHTML = parsedJsonHistoricoEnvios[refShip].refship;
				row.insertCell(3).innerHTML = parsedJsonHistoricoEnvios[refShip].numship;
				row.insertCell(4).innerHTML = parsedJsonHistoricoEnvios[refShip].collectfrom;
				var row2 = table.insertRow(1);
				row2.insertCell(0).innerHTML = "CorreosExpress";
				row2.insertCell(1).innerHTML = parsedJsonHistoricoEnvios[refShip].date;
				row2.insertCell(2).innerHTML = parsedJsonHistoricoEnvios[refShip].refship;
				row2.insertCell(3).innerHTML = parsedJsonHistoricoEnvios[refShip].numrecogida;
				row2.insertCell(4).innerHTML = parsedJsonHistoricoEnvios[refShip].collectfrom;
			}
	    	//alert('Se ha registrado el envio correctamente. ' + data.result);
			//document.location.reload();
			//$('#close').click();
		}

		if(data.createLabel == true)
		{
			// Ahora creamos la entrada en la lista de etiquetas
			var container = document.getElementById("iniList");
			var date_picker = document.getElementById("datepicker").value;
			var curentDate = today_date(); 
			//alert("fecha:"+date_picker+"=="+curentDate);
			var content = '<span id="line_'+data.refship+'" ><input id="'+data.refship+'" class="chk iniShip" type="checkbox" name="' + data.refship + '" value="' + data.refship + '" />';
			if(data.group_others == true)
			{
				content += 'Referencias Envío Agrupado: ' + data.refship + '</span><br />';
			}
			else
			{
				if(curentDate==date_picker){
				    content += 'Referencia Envío: ' + data.refship + '</span><br />';
				}else{
					content = '';
					$("#line_"+data.refship).remove();
					
				}
			}
						if( $("#iniList input#"+data.refship.replace(/\#/gi,"\\#")).length <= 0 ) //if( $("#iniList input#"+data.refship.replace(/\|/gi,"\\|")).length <= 0 )
			{
				container.innerHTML += content;
			}
		}

		// Post acciones que se pueden lanzar desde la respuesta ajax de ajax.php
		if(data.postAction == 'printLabel')
		{
			var frm = $('#printform');
			$.ajax({
		        type: frm.attr('method'),
		        url: frm.attr('action'),
		        data: { 
		        	mode:'print',
					codelist: data.codelist,
					date: $('#date_f').text(),
					path:$("#path").val(),
					AbsPath:$("#AbsPath").val(),
					pdfType:$("#selPdfType").val(),
					position:$("#position_label").val(),
					telephone:$('#telephone').val()
				},
	            dataType: "json",
	            success: function (data) {
	                if (data.code == '-1')
	                {
	                	document.getElementById("error-span").innerHTML = data.result;
						document.getElementById("error-span").style.display = 'inline';
	                }
	                else
	                {
						if(data.barcode_path != null) document.location.href = data.barcode_path;
						//$('#close').click();
	                }
	            }
	        });
		}
	}
    else if (data.code == '1') //agrupado con mensajes pendientes
    {
    	manageGroupingResponse(data);
    }
}

function manageGroupingResponse(data)
{
	var frm2 = $('#shipform');
	var id_ships_to_group = "";
	var respAlertEnviosGroup = false;
	/***********************************************************
	 *  Eliminar: modificación para desactivar la agrupación de envio por remitente.
	 ***********************************************************/
	data.results_grouping_recogidas=0; data.results_grouping_envios=0;
	/**************************************************************/
	
	if(data.results_grouping_recogidas > 0 || data.results_grouping_envios > 0)
	{
		var textAlertEnviosGroup = "Existen";
		if (data.results_grouping_recogidas > 0)
		{
			textAlertEnviosGroup += " "+data.results_grouping_recogidas+" recogidas";
		}
		if (data.results_grouping_envios > 0)
		{
			if (data.results_grouping_recogidas > 0)
				textAlertEnviosGroup += " y";
			textAlertEnviosGroup += " "+data.results_grouping_envios+" envios";
		}
		textAlertEnviosGroup += " mas para el mismo destinatario ademas del actual abierto. ¿Desea agruparlos?";
		respAlertEnviosGroup = confirm(textAlertEnviosGroup); // Existen X envios pendientes, desea agruparlos?
		id_ships_to_group = data.id_ships_to_group;
	}
	
	// SI
    $.ajax({
        type: frm2.attr('method'),
        url: frm2.attr('action'),
        data: {
        	id_order:$('#id_order').val(),
        	idsender:$('#selFromCustomer').val(),
			sender:$('#name_sender').val(),
			contact_sender:$('#contact_sender').val(),
			address_sender:$('#address_sender').val(),
			postcode_sender:$('#postcode_sender').val(),
			city_sender:$('#city_sender').val(),
			phone_sender:$('#phone_sender').val(),
			email_sender:$('#email_sender').val(),
			note_collect:$('#note_collect').val(),
			date:$('#datepicker').val(),
			ref_ship:$('#ref_ship').val().replace(/\#/gi,"-").replace(/\,/gi,"-"), //ref_ship:$('#ref_ship').val().replace(/\|/gi,"-").replace(/\,/gi,"-"),
			num_ship:$('#num_ship').val(),
			receiver:$('#name_receiver').val(),
			contact_receiver:$('#contact_receiver').val(),
			address_receiver:$('#address_receiver').val(),
			postcode_receiver:$('#postcode_receiver').val(),
			city_receiver:$('#city_receiver').val(),
			phone_receiver:$('#phone_receiver').val(),
			telephone:$('#telephone').val(),
			email_receiver:$('#email_receiver').val(),
			postcode_receiver:$('#postcode_receiver').val(),
			mode:'saveShip',
			mode_ship:$("#selCarrier").val(),
			iso_code:$("#selISOCode").val(),
			payback:$('#payback').is(':checked'),
			payback_val:$("#payback_val").val(),
			insured_value:$("#insured_value").val(),
			bultos:$("#bultos").val(),
			kilos:$("#kilos").val(),
			path:$("#path").val(),
			mode_ship_name:$("#selCarrier").find(":selected").text(),
			note_deliver:$("#note_deliver").val(),
			devolution:$('#loadReceiver').is(':checked'),
			fromHH_sender:$("#fromHH_sender").val(),
			fromMM_sender:$("#fromMM_sender").val(),
			toHH_sender:$("#toHH_sender").val(),
			toMM_sender:$("#toMM_sender").val(),
			deliver_sat:$('#deliver_sat').is(':checked'),
			desc_ref_1:$('#desc_ref_1').val(),
			desc_ref_2:$('#desc_ref_2').val(),
			AbsPath:$("#AbsPath").val(),
			gbr:$("#grabarRecogida").is(':checked'),
  			mailLabel:$("#enviarEtiquetaMail").is(':checked'),
  			grouping:agrupado,
  			grouping_state:'save',
      		group_others:respAlertEnviosGroup,
      		id_ships_to_group:id_ships_to_group,
      		entrega_oficina:$('#entrega_oficina').is(':checked'),
  			codigo_oficina_entrega:$("#codigo_oficina_entrega").val(),
  			dir_oficina:$("#dir_oficina").val(),
  			nombre_oficina:$("#nombre_oficina").val(),
  			codPostal_oficina:$("#codPostal_oficina").val(),
  			pob_oficina:$("#pob_oficina").val()
      		
		},
        dataType: "json",
        success: function (data) {
        	manageResponse(data);
        }
    });
}

function removeSender(idSender) {

	$.ajax({
		url: $("#path").val()+"ajax.php",
		type: "GET",
		data: { 
			id: idSender,
			mode:'removeSender' 
		},
		dataType: "json",
		success: function(data)
		{
			if (data.code == '-1')
			{
				document.getElementById("error-span3").innerHTML = data.result;
				document.getElementById("error-span3").style.display = 'inline';
				document.getElementById("success-span3").innerHTML = "";
				document.getElementById("success-span3").style.display = 'none';

			}
			else
			{
				document.getElementById("error-span3").style.display = 'none';
				alert(data.result);
				document.location.reload();
			}
		}
	});
}

function loadSender(idSender) {
	document.getElementById("idEditSender").value = idSender;

	$.ajax({
		url: $("#path").val()+"ajax.php",
		type: "GET",
		data: { 
			idsender: idSender,
			mode:'loadSender' 
		},
		dataType: "json",
		success: function(data)
		{

			document.getElementById("error-span3").style.display = 'none';

			document.getElementById("error-span3").value = "";
			document.getElementById("name_sender").value = data.name_sender;
			document.getElementById("contact_sender").value = data.contact_sender;
			document.getElementById("address_sender").value = data.address_sender;
			document.getElementById("postcode_sender").value = data.postcode_sender;
			document.getElementById("city_sender").value = data.city_sender;
			document.getElementById("phone_sender").value = data.phone_sender;
			document.getElementById("fromHH_sender").value = data.fromHH_sender;
			document.getElementById("fromMM_sender").value = data.fromMM_sender;
			document.getElementById("toHH_sender").value = data.toHH_sender;
			document.getElementById("toMM_sender").value = data.toMM_sender;

		}
	});

}


function openPopup() {
	$('#open').click(function(){
        $('#popup').fadeIn('slow');
    });

    $('#close').click(function(){
        $('#popup').fadeOut('slow');
    });

}

function enableElement(id) {

	var elem = document.getElementById(id);
	if(elem.disabled) elem.disabled = false;
	else elem.disabled = true;
}

function selModeShip(name, id) {
	var elem = document.getElementById('ms-'+id);
	var result = document.getElementById('MXPS_SELMODESHIP');
	var array = result.value.split(',');

	if(array.indexOf(id) > '-1') 
	{
		array.splice($.inArray(id, array),1);
		result.value = array.toString();
	}
	else 
		result.value = result.value + id + ','

}

function enableShipModeConfigChecks() {
	var result = document.getElementById('MXPS_SELMODESHIP');
	var array = result.value.split(',');
	var i;
	for (i = 0; i < array.length; ++i) 
	{
		if (array[i] != "") 
			document.getElementById('ms-'+array[i]).checked = true;
	}

	//set config default pdf
	var result2 = document.getElementById('MXPS_DEFAULTPDF');
	$("#selPdfTypeDefault").val(result2.value);

	//set config default sender
	result2 = document.getElementById('MXPS_DEFAULTSEND');
	$("#selSenderDefault").val(result2.value);

	//set config default payback method
	result2 = document.getElementById('MXPS_DEFAULTPAYBACK');
	$("#selPaybackDefault").val(result2.value);
}

function showDatePicker() {

	var elem = document.getElementById("container-dp");
	if(elem.style.display == 'none') elem.style.display = 'block';
	else elem.style.display = 'none';
}

function tooglePanel(show, idpanel) {
	var elem = document.getElementById("content-cxps"+idpanel);
	var elem2 = document.getElementById("panel-cxps"+idpanel);
	if(show) 
	{
		elem.style.display = 'block';
		elem2.style.padding = '20px';
		elem2.style.height = 'auto';
	}
	else 
	{
		elem.style.display = 'none';
		elem2.style.padding = '20px 20px 0';
		elem2.style.height = '35px';
	}
}

function getValueUsingParentTag(){
    var chkArray = [];

    /* look for all checkboes that have a parent id called 'checkboxlist' attached to it and check if it was checked */
    $("#iniList input:checked").each(function() {
	//alert($(this).val() + "ojo!");
        chkArray.push($(this).val());
    });

    /* we join the array separated by the comma */
    var selected;
    selected = chkArray.join(',') + ",";

    /* check if there is selected checkboxes, by default the length is 1 as it contains one single comma */
    if(selected.length > 1)
    {
        return selected;
    }
    else
    {
        //alert("Selecciona mínimo un envío de la lista");
		return null;
    }
}

function today_date(){
	 date = new Date();
	 var dd = date.getDate(); 
	 var mm = date.getMonth()+1;
	 var yyyy = date.getFullYear(); 
	 if(dd<10){dd='0'+dd}; 
	 if(mm<10){mm='0'+mm};
	 return d = dd+'-'+mm+'-'+yyyy	
}

function validar_sring_amp(name_filed){
	var name       = "#"+name_filed;
	var field      = $(name).val();
	var patt       = new RegExp("&");
	var res_sender = patt.test(field);
	
	if(res_sender){
		alert(" & es un caracter no permitido.");
		$(name).focus();
		document.getElementById("btnsubmitt").innerHTML = 'Guardar envío';	
		return true;
	}
	return false;	
}

function cerrar_modal(codOfi,dirOfi,nomOfi,codPostal,pobOfi){
	//alert("llego la oficina:"+codOfi+"##"+dirOfi+"##"+nomOfi+"##"+codPostal+"##"+pobOfi);
	var codOficina = String(codOfi);
	codOficina ="<br><span><strong>Código de Oficina:&nbsp;&nbsp;</strong>"+codOfi+"</span>";
	$('#codigo_oficina_entrega').val(codOfi);
	$('#cod_oficina_div').html("");
	$('#cod_oficina_div').append(codOficina);
	$('#dir_oficina').val("");
	$('#dir_oficina').val(dirOfi);
	$('#nombre_oficina').val("");
	$('#nombre_oficina').val(nomOfi);
	$('#codPostal_oficina').val("");
	$('#codPostal_oficina').val(codPostal);
	$('#pob_oficina').val("");
	$('#pob_oficina').val(pobOfi);
	
	//Cerrar la ventana Modal
	parent.$('#myModal').modal('hide');
	return false;
}
