/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    CorreosExpress/Departamento de integracion y desarrollo	
 *  @copyright 2015-2016 Correos Express - Grupo Correos
 *  @license   LICENSE.txt
 *  @email peticiones@correosexpress.com
 */
$(document).ready(function(){
	var codPostal;
	var poblacion;	
	var abs_path;	
	var check_span_value;
	var carrier_active;
	var carrierOfficeDeliveryCorreo;
	var id_cart;
	var check_buscadorOfi;
	
	abs_path = $('#abs_path').val();
	check_buscadorOfi = $('#check_buscadorOfi').val();
	id_cart           =	$('#id_cart').val();
	
	$.post( abs_path+"eliminar_entrega_oficina_front.php", { id_cart: id_cart, check_buscadorOfi: check_buscadorOfi })
	 .done(function(data, status){
		//alert(data);
		    if(status === "success"){
			 $('#title_oficina_correos').html("Servicio de entrega en oficina de Correos con la opción Paq 24, Baleares(Solo Correos Express).");
		    } 
	    });
	
	//Mostrar Boton buscador oficina FRONT
	$('#check_buscadorOfi').change(function() {
		if($('#check_buscadorOfi').is(':checked')) {
			$('#check_buscadorOfi').val(1);
			$('#btn_buscador').removeClass("ocultar_form");
		} else {
			$('#check_buscadorOfi').val(0);
			$('#btn_buscador').addClass("ocultar_form");
			
			
			//alert("no esta activo");
			check_buscadorOfi = $('#check_buscadorOfi').val();
			id_cart           =	$('#id_cart').val();
			
			$.post( abs_path+"eliminar_entrega_oficina_front.php", { id_cart: id_cart, check_buscadorOfi: check_buscadorOfi })
			 .done(function(data, status){
				//alert(data);
				    if(status === "success"){
					 $('#title_oficina_correos').html("Servicio de entrega en oficina de Correos con la opción Paq 24, Baleares(Solo Correos Express).");
				    } 
			    });
						
		}
	});
	
	
	$('#buscadorOficinas').click(function(){
		//Se obtiene el check seleccionado del carrier
		var check_div_value = "";
		var arrier_active   = "";
		
		//prueba one_page_checkout
		check_div_value = $('div.delivery_options > div.delivery_option.selected').find("input.delivery_option_radio").val();
		carrier_active = check_div_value.split(",",1);
		
		//Se obtienen los carrier permitidos para la entrega en oficina
		carrierOfficeDeliveryCorreo = $('#carrierOfficeDeliveryCorreo').val();
		var n = carrierOfficeDeliveryCorreo.search(carrier_active);
		var msg_error_carrier1 = $('#msg_error').val();
		
		//Si se encuentra el carrier seleccionado en el listado de los permitidos, se muestra el 
		//botón del buscador 
		if(n > 0){
			return true;
		}else
			$('#msg_error_carrier').html('<br><p class="bg-danger">'+msg_error_carrier1+'</p>');
			return false;
		
	});
		
	$('#buscar_ofi').click(function(){
		
		codPostal = $('#list_codigo_postal').val();
		poblacion = $('#list_poblacion').val();	
		abs_path = $('#abs_path').val();
		
		$('#listado_oficina_table').html('<div class="loader"></div><span style="margin-left:40px;">Buscando oficinas de correos...</span>');
		
		// Retrasaremos 3 segundos para dar tiempo de que el Ajax consuma el SW de oficinas
		var timerId = setTimeout(function() { 
		if(codPostal != "" || poblacion != ""){
				$.post( abs_path+"entrega_oficina.php" , { cod_postal: codPostal, poblacion: poblacion })
				.done(function( data, status ) {
					 // alert( "Data Loaded: " + data );
					  var obj = JSON.parse(data);
					  var codOfi = "";
					  var nomOfi = "";
					  var dirOfi = "";
					  var codPostal = "";
					  var pobOfi = "";
					  var datosCompletosEnt ="";
					  var row_ofi= "";
					  var codeError = "";
					  var table_ofi ="";
					  var table_ofi_vacia = "";
					  var select = "";
					  var codOfi = "";
					  var id_carrier = "";
					  var id_cart = "";
					  var id_customer = "";
					  // Status de response
					 // status="timeout";
					  //alert("status: "+status);
					  if(status == "success"){
						  $('#listado_oficina_table').html("Oficinas Encontradas...");
					  	  
						  if(obj.codError === 0 && obj.oficinas.length > 0 ){
								 //DATA CART USSER
								  id_carrier = $('#id_carrier').val();
								  id_cart    = $('#id_cart').val();
								  id_customer= $('#id_customer').val();
								  
							  for(var i in obj.oficinas) {
								  codOfi    = obj.oficinas[i].codigoOficina; 
								  nomOfi    = obj.oficinas[i].nombreOficina;  
								  dirOfi    = obj.oficinas[i].direccionOficina; 
								  codPostal = obj.oficinas[i].codigoPostalOficina; 
								  pobOfi    = obj.oficinas[i].poblacionOficina;
								  datos_oficina = codOfi+"#!#"+dirOfi+"#!#"+nomOfi+"#!#"+codPostal+"#!#"+pobOfi;
								  								 
								  row_ofi +='<tr><td>OFI: '+dirOfi+'</td><td>'+codPostal+'-'+pobOfi+'</td><td><span class="btn btn-success" id="select_'+codOfi+'" onclick="cerrar_modal(\''+codOfi+'\',\''+id_cart+'\',\''+id_customer+'\',\''+id_carrier+'\',\''+abs_path+'\',\''+nomOfi+'\',\''+datos_oficina+'\')" ><i class="fa-pts fa-pts-check fa-pts-2x"></i></span></td></tr>';
								}//for end
								  table_ofi ='<table class="table table-responsive"><thead><tr><th>Dirección</th><th>Código-Pob.</th><th></th></tr></thead><tbody>';
								  table_ofi += row_ofi;
								  table_ofi += '</tbody></table>';
								  $('#listado_oficina_table').html(table_ofi);
							  }else if(obj.oficinas.length == 0){
								  table_ofi_vacia = '<table class="table table-responsive"><thead><tr><th>Dirección</th><th>Código-Pob.</th></tr></thead><tbody>';
								  table_ofi_vacia +='<tr><td COLSPAN=5>No existe ninguna oficina en ese Código Postal / Población.</td></tr>';
								  table_ofi_vacia += '</tbody></table>';
								  $('#listado_oficina_table').html(table_ofi_vacia);
							  }else{
								  table_ofi_vacia = '<table class="table table-responsive"><thead><tr><th>Dirección</th><th>Código-Pob.</th></tr></thead><tbody>';
								  table_ofi_vacia +='<tr><td COLSPAN=5>'+obj.mensajeError+'</td></tr>';
								  table_ofi_vacia += '</tbody></table>';
								  $('#listado_oficina_table').html(table_ofi_vacia);
							  }
					    }else if(status == "timeout"){
						   $('#listado_oficina_table').html("No se ha recibido respuesta...");
					  }
					  
					});
				
				}//primer if
				  var table_ofi_empty = '<table class="table table-responsive"><thead><tr><th>Dirección</th><th>Código Postal</th><th>Población</th></tr></thead><tbody>';
				  table_ofi_empty +='<tr><td COLSPAN=5>'+"Debe introducir algun código postal o población."+'</td></tr>';
				  table_ofi_empty += '</tbody></table>';
				  
				  $('#listado_oficina_table').html(table_ofi_empty); }, 3000);
	});
	
	//Cerrar la ventana Modal despues del segundo click
	$('#close_modal').click(function(){
		parent.$('#myModal').modal('hide');
	});
}); //$(document).ready fin

function cerrar_modal(codOfi,id_cart,id_customer,id_carrier,abs_path, nombreOfi,datos_oficina){
	
	if(!confirm("Atención, está apunto de seleccionar la ENTREGA EN OFICINA DE CORREOS, su compra será enviado a la oficina escogida."))
		return false;	
	
	 $.post( abs_path+"entrega_oficina_front.php", { id_cart: id_cart, codOfi: codOfi, id_customer: id_customer, id_carrier: id_carrier, datos_oficina_select: datos_oficina  })
	 .done(function(data, status){
		//alert(data);
		    if(status === "success"){
			 $('#title_oficina_correos').html("Entrega en oficina de Correos: "+nombreOfi);
		    } 
	    });
	
	
	//Cerrar la ventana Modal
	parent.$('#myModal').modal('hide');
	return true;
}